Need help with whalebird-desktop?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

h3poteto
493 Stars 53 Forks MIT License 3.5K Commits 49 Opened issues

Description

An Electron based Mastodon and Pleroma client for Windows, Mac and Linux

Services available

!
?

Need anything else?

Contributors list

Whalebird

CircleCI GitHub release App Store AUR version Dependabot Crowdin

Whalebird is a mastodon client for desktop application.

demo

Feature

  • An interface like slack
  • Notify to desktop
  • Streaming
  • Many keyboard shortcuts
  • Manage multiple accounts

Shortcuts

Mac Linux, Windows
Toot, Reply Cmd + Enter Ctrl + Enter
Change accounts Cmd + 1, 2, 3... Ctrl + 1, 2, 3...
Jump to another timeline Cmd + k Ctrl + k
Open new toot window Cmd + n Ctrl + n
Reload current timeline Cmd + r Ctrl + r
Select next toot j j
Select previous toot k k
Switch focus to left column h h
Switch focus to right column l l
Reply to the toot r r
Reblog the toot b b
Favourite the toot f f
Open details of the toot o o
Open account profile of the toot p p
Open the images i i
Show/hide CW and NSFW x x
Close current page esc esc
Show shortcut keys ? ?

Install

Mac

App Store

Or you can download

.dmg
from release page.

So on, you can install from Homebrew:

$ brew update
$ brew cask install whalebird

:sparkles: Thanks to @singingwolfboy for adding it to homebrew-cask.

Linux

There are some packages in release page, for example

.deb
,
.rpm
and
.AppImage
. If you do not want to use the package manager, please download
.tar.bz2
file and decompress it.

If you are using snap, please install from snapcraft.io.

$ sudo snap install whalebird

Or you can install from Arch User Repository.

$ yay -S whalebird

Windows

You can download

.exe
from release page.

Translation

If you can speak multiple languages, could you please help with translation in Crowdin?

Or if you want add new language, please create an issue. I will add it.

Development

We'd love you to contribute to Whalebird.

Minimum requirements for development

  • Node.js greater than or equal version 8.9.0 (12.x is recommended)
  • npm or yarn

Getting started

# clone this repository
$ git clone https://github.com/h3poteto/whalebird-desktop.git
$ cd whalebird-desktop

Install font config

$ sudo apt-get install libfontconfig-dev

install dependencies

$ yarn install

serve with hot reload at localhost:9080

$ yarn run dev

License

The software is available as open source under the terms of the MIT License.

Donate

GitHub Sponsor

Patreon

Liberapay

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.